christmas tree

Show off your FreeCAD projects here!
User avatar
sgrogan
Posts: 6217
Joined: Wed Oct 22, 2014 5:02 pm

Re: christmas tree

Postby sgrogan » Sat Dec 19, 2020 4:56 pm

"fight the good fight"
paullee
Posts: 2989
Joined: Wed May 04, 2016 3:58 pm

Re: christmas tree

Postby paullee » Sat Dec 19, 2020 5:49 pm

Merry Christmas 2020 !

Great to see the tree again :D
HoWil
Posts: 1204
Joined: Sun Jun 14, 2015 7:31 pm
Location: Austria

Re: christmas tree

Postby HoWil » Tue Dec 22, 2020 4:07 pm

Willem wrote:
Thu Dec 20, 2018 6:26 pm
Hi, I made another very simple X-mas tree. Everybody best wishes for next year
X-mastree.png
Thanks Willem. Like it very much. Could not resist and added some new link-snow-flakes made with PD-wb :D .
ps.: Did you know that you can use anti-aliasing in preferences-Display to get rid of the pixelated edges (See below)
Attachments
Xmastree.png
with anti-aliasing
Xmastree.png (554.45 KiB) Viewed 415 times
X-mastree.FCStd
with some artificial snow made in Austria
(862.35 KiB) Downloaded 12 times
User avatar
Willem
Posts: 1409
Joined: Fri Aug 12, 2016 3:27 pm
Location: Lisse, The Netherlands

Re: christmas tree

Postby Willem » Wed Dec 23, 2020 8:51 am

In Austria you always have more snow than here in the Netherlands. I wish everybody the best wishes and a good health in 2021
chrisb
Posts: 30821
Joined: Tue Mar 17, 2015 9:14 am

Re: christmas tree

Postby chrisb » Wed Dec 23, 2020 1:37 pm

HoWil wrote:
Tue Dec 22, 2020 4:07 pm
Could not resist
If you want to turn it, here is the script I used for Roland's tree. You need a directory /tmp/images where all images of the animated gif will be stored.
Everything that shouls be turned, i.e. here Sweep and Body005 have to be placed inside a Container named "Part".

You may add the snowflakes falling :mrgreen: .

Code: Select all

# create a Part container of all stuff to be turned, it will be referenced by its name "Part"
from PySide import QtCore
#?? activeView = FreeCADGui.activeDocument().activeView()
doc = App.ActiveDocument
baum = doc.getObjectsByLabel("Part")[0]

baseBaum = baum.Placement.Base

fileCount = 0;

def turn(angle):
  global fileCount
  fileCount += 1
  baum.Placement=App.Placement(baseBaum, App.Rotation(App.Vector(0,0,1),angle), App.Vector(0,0,0))
  Gui.updateGui()
  fileName = '/tmp/images/xmas%03d_%03d.bmp' % (fileCount,abs(angle))
  Gui.activeDocument().activeView().saveImage(fileName,485,505,'Current')

angle=0
end = -360
timer = QtCore.QTimer()
# timeout = 25
# step = 1
# -----------
# timeout = 50
# step = 2
# -----------
timeout = 75
step = 3
# -----------

def update():
  global angle
  angle -= step
  turn(angle)
  if angle <= end:
    # reset all to the origin and stop
#    angle = 0
#    turn(angle)
    timer.stop()
  doc.recompute()

timer.timeout.connect(update)
timer.start(timeout)
Here is an intermediate state, when I tried to move the Sweep into the Part and lost it halfway in one of the bodies:
Attachments
SnipScreenshot-88fd96.png
SnipScreenshot-88fd96.png (359.97 KiB) Viewed 311 times
You need at least FreeCAD 0.19.23300 to edit my current sketches.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
User avatar
M4x
Posts: 326
Joined: Sat Mar 11, 2017 9:23 am
Location: Germany

Re: christmas tree

Postby M4x » Wed Dec 23, 2020 5:47 pm

That's somehow pretty nice too :mrgreen:
chrisb
Posts: 30821
Joined: Tue Mar 17, 2015 9:14 am

Re: christmas tree

Postby chrisb » Wed Dec 23, 2020 8:21 pm

Looks more like a happy new year after desinfecting the throats with some alcohol.
You need at least FreeCAD 0.19.23300 to edit my current sketches.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.
jmaustpc
Posts: 10546
Joined: Tue Jul 26, 2011 6:28 am
Location: Australia

Re: christmas tree

Postby jmaustpc » Thu Dec 24, 2020 12:03 pm

chrisb wrote:
Wed Dec 23, 2020 8:21 pm
Looks more like a happy new year after desinfecting the throats with some alcohol.
My door seems harder to open, my stairs seem more wobbly, my driveway surface is less even, my driveway seems longer and more twisted, I made it to my mail box, checked it was empty walked back to the house sat down looked at my wife and realised she looks even more deliciously curvy than normal, and the room seems to sway a little ... but my throat is disinfected! :lol:
chrisb
Posts: 30821
Joined: Tue Mar 17, 2015 9:14 am

Re: christmas tree

Postby chrisb » Fri Dec 25, 2020 2:35 am

As long as there is only one mailbox it's not too bad :lol: .
You need at least FreeCAD 0.19.23300 to edit my current sketches.
A Sketcher Lecture with in-depth information is available in English, auf Deutsch, en français, en español.